#include <bits/stdc++.h>
using namespace std;
struct point
{
    int x;
    int y;
};
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int t, n;
    cin >> t;
    for (int j=0; j<t; j++)
    {
    cin >> n;
    for (int i=0; i<n; i++)
    {
        int x;
        cin >> x;
    }
    for (int i=0; i<n; i++)
    {
        int x;
        cin >> x;
    }
    if (j==0)
        cout << "NE";
    else
        cout << "DA";
    }
    return 0;
}